org.apache.lucene.search.spell

## Class SuggestWord

- java.lang.Object
- - org.apache.lucene.search.spell.SuggestWord

-     public final class SuggestWord
      extends Object

  SuggestWord, used in suggestSimilar method in SpellChecker class.

  Default sort is first by score, then by frequency.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `freq` The freq of the word
    `float` | `score` the score of the word
    `String` | `string` the suggested word

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestWord()` Creates a new empty suggestion with null text.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### score

          public float score

      the score of the word

    - #### freq

          public int freq

      The freq of the word

    - #### string

          public String string

      the suggested word

  - ### Constructor Detail

    - #### SuggestWord

          public SuggestWord()

      Creates a new empty suggestion with null text.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.